Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154377 - File/Open dialog doesn't have a sensible initial directory set
Summary: File/Open dialog doesn't have a sensible initial directory set
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eog
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 08:27 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: eog-2.20.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 01:48:56 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-11 08:27:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
(I think this is a general Gnorm bug, but I observed it in eog, so I'm reporting it there initially)

When you launch eog from nautilus by double-clicking an image file, then in eog you select the File/Open or "File/Open Directory" menu options, the file chooser/selector dialog box always default to the user's home directory, not the directory last used in this dialog, or the directory containing the file currently being viewed.

The file chooser/selector's initial directory should match that of the currently displayed image, since that's where the user will most likely want to open a new image from, or somewhere close to there.

Version-Release number of selected component (if applicable):
eog-2.8.0-3

How reproducible:
Always

Steps to Reproduce:
1. Launch eog from nautilus by double-clicking an image file not directly in the user's home directory.
2. Select File/Open menu option.

  

Actual Results:  Observer file selector/chooser's initial directory is always set back to the user's home directory.

Expected Results:  The file selector/chooser's initial directory should be set to the directory containing the image currently being viewed, or the directory of the last file opened using this method, not the "hard-coded" home-directory location.

Even if Gnome policy is that users always store files in their home-directory, as opposed to system-wide locations, there's still a good chance that the user will be organized and create sub-directories in their home directory. With the current force-home-dir method of the dialog, the user is forced to navigate to the real file location every time they use the dialog.

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:45:32 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Stephen Warren 2007-11-12 01:48:56 UTC
This has been fixed in F8, in eog-2.20.1-1.fc8.


Note You need to log in before you can comment on or make changes to this bug.